List holdouts across projects
1 min
GET
https://api.optimizely.com/flags/v1//holdouts
project_idintegerThe project context for authorization. Always required to seed
auth context for permission and feature flag checks.
project_scopestring<p>Controls which projects' holdouts are returned.
"current" returns only holdouts owned by the given project_id.
"all" returns holdouts across all projects the user has permission to view.</p>
archivedbooleanFilter the Holdouts by archived status.
statusarray
querystring<p>Search for Holdouts by name, description, or key.</p>
sortarraySort the Holdouts by one or more attributes.
pageinteger<int64>Page number for pagination
per_pageinteger<int64>The max number of items to include per page or results.
page_tokenstring<p>Pagination page token. Implements prev, next, last, first</p>
page_windowinteger<p>Number of previous and next page links to supply for the request (defaults to 1).</p>
200<p>Successful retrieval of a list of holdouts.</p>
<p>The response includes RESTful JSON (<a href="https://restfuljson.org/" target="_blank">https://restfuljson.org/</a>) styled links. If a
link is not present in the response, it indicates a user is not authorized to access
the related resource.</p>
401Invalid credentials
403Do not have permission to perform the operation
curl --request GET \
--url 'https://api.optimizely.com/flags/v1//holdouts?project_id=integer&project_scope=all' \
--header 'accept: application/json'